LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-28-2004, 03:39 PM   #1
pbogaart
LQ Newbie
 
Registered: Aug 2004
Location: Heesch, the Netherlands
Distribution: Suse 9.1 professional
Posts: 22

Rep: Reputation: 15
Suse YaST gives error hd_busid_to_hwcfg


Hello ,
Probably after I attached a USB memory stick, (and removed it again) YaST returns the error messages :

usr/lib/YaST2/bin/y2base: error while loading shared libraries: /usr/lib/YaST2/plugin/libpy2ag_hwprobe.so.2: undefined symbol: hd_busid_to_hwcfg

After I tried to recover this error, I really messed up and y2base was looping (see another thread) Thanks to SuSE support I was able to solve the looping problem, but still have the error above.

To me it seems I have a mismatch between Yast and one or more library(s), but I have no clue how to fix it without bringing me into more problems again.
I found a simular problem on another bullitin board, but unfortuanally the thread was in french and I (nor google) could translate it properly.

Is there a SuSe pro who can help a newbie??
Thanks in advance,
Peter
 
Old 09-04-2004, 06:50 PM   #2
solemneyed
LQ Newbie
 
Registered: Sep 2004
Posts: 4

Rep: Reputation: 0
Don't have a solution for you, but I am having the same issue. When I try to launch YOU from the gui nothing happens. when I try it from the command line, this happens:

linux:/home/solemneyed # yast2 online_update .auto.get
/usr/lib/YaST2/bin/y2base: error while loading shared libraries: /usr/lib/YaST2/plugin/libpy2ag_hwprobe.so.2: undefined symbol: hd_busid_to_hwcfg
linux:/home/solemneyed #

So, I'm hoping someone helps us out.

solemneyed
 
Old 09-05-2004, 04:40 AM   #3
pbogaart
LQ Newbie
 
Registered: Aug 2004
Location: Heesch, the Netherlands
Distribution: Suse 9.1 professional
Posts: 22

Original Poster
Rep: Reputation: 15
My problem is now solved thanks to SuSE support. I send them the Siga output and I suppose there they found out what was wrong.

I didn't have time to post it so far but here it is :

********************`
Most likely, it's a coincidence that the problem occurred after first using the memory stick. Most likely, the online update did not update all packages, only some of them.

Please ensure that all the updates for YaST2 are installed. The update links are below. Download and save these files to disk, for example the /tmp/ directory, and then open up a console/shell. Change the user to root using:

su -

then execute:

cd /tmp
rpm -Fvh *.rpm

And this should install the updates for YaST2. Now try to open YaST2. Do you still have problems?

ftp://ftp.suse.com/pub/suse/i386/upd...2-0.2.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...0-0.2.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...2-0.2.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...4-1.3.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...4-0.4.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...6-0.3.i586.rpm
ftp://ftp.suse.com/pub/suse/i386/upd...5-0.3.i586.rpm

*************

After I followed the instructions, I got a "dependency" error about HWINFO* packages missing. I downloaded and installed them as well. Now all is working again and I could do the update.

Maybe this help to you as well.

For your info, This all started after I attached an USB hub & memory stick.

Peter

Last edited by pbogaart; 09-05-2004 at 10:52 AM.
 
Old 09-05-2004, 10:56 AM   #4
pbogaart
LQ Newbie
 
Registered: Aug 2004
Location: Heesch, the Netherlands
Distribution: Suse 9.1 professional
Posts: 22

Original Poster
Rep: Reputation: 15
Here are the complete filenames (I hope)


ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/yast2-packagemanager-2.9.52-0.2.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/yast2-core-2.9.90-0.2.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/hwinfo-8.62-0.2.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/yast2-core-2.9.94-1.3.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/yast2-qt-2.9.24-0.4.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/yast2-ncurses-2.9.26-0.3.i586.rpm
ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/liby2util-2.9.25-0.3.i586.rpm

--
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to report a translation error in YaST to the Suse team? Livino SUSE / openSUSE 1 10-29-2005 07:01 AM
Suse 9.1 Personal - YAST "An Error Occured During Installation" maniar SUSE / openSUSE 3 10-24-2004 04:52 AM
Suse 9.1 Yast error: Cannot read Package data Leebro Linux - Distributions 11 10-08-2004 01:30 PM
Yast error (Read error) Cubsy Linux - Software 2 02-12-2004 04:37 PM
SuSE 9 YAST Install Error JDeer0618 Linux - Software 4 01-28-2004 07:50 AM


All times are GMT -5. The time now is 10:45 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration